<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  if ( $config_site['autopay'] == 1 ) {
	$autopay = 'checked="checked"';
	$autopay_text = '<span id="check_text">Да</span>';
  } else {
	$autopay = '';
	$autopay_text = '<span id="check_text">Нет</span>';
  }
  ?>
    <script type="text/javascript">
	  var chbox;
	  
	  function check_text() {
        if ( $('#check_text').html() == 'Нет' ) {
		  $('#check_text').html('Да');
		} else {
		  $('#check_text').html('Нет');
		}
      }
	  
	  function config_1() {
		if ( $('#check_text').html() == 'Да' ) {
		  chbox = 'on';
		} else {
		  chbox = 'off';
		}  
        $.ajax ({
            url: 'ajax_update.php?func=config_21',
            type: 'POST',
            data: ({wmid: $('#wmid').val(), purse: $('#purse').val(), webmoneykey: $('#webmoneykey').val(), autopay: chbox, wmlogin: $('#wmlogin').val()}),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                $('#block_title_error').fadeIn(0);
                $('#success_ajax').fadeIn(500);
                setTimeout(function() {
                    $('#success_ajax').fadeOut(500);
					$('#block_title_error').fadeOut(0);
					location.reload();
                }, 4000);
              } else {
				$('#block_title_error').fadeIn(0);
				$('#error_ajax').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_ajax').fadeOut(500).html('&nbsp;');
					$('#block_title_error').fadeOut(0);
                }, 4000);
			  }
            }
        });
      }
	  
	  
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Настройка ЭПС</h2>

			<div class="row">
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Webmoney</div>
				  <div class="panel-body">
					<form method="get" class="form-horizontal">
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">WMID</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="wmid" value="<?=$config_site['wmid']?>">
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Кошелёк</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="purse" value="<?=$config_site['purse']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Secret кey</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="webmoneykey" value="<?=$config_site['webmoneykey']?>">
						  <span class="help-block m-b-none">Сикретное слово, от мерчанта</span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-one">Авто-выплаты</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="autopay" type="checkbox" onclick="check_text();" <?=$autopay?>>
						    <label for="">
							  <?=$autopay_text?>
						    </label>
					      </div>
					    </div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-fix">Ключ wm авторизации</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="wmlogin" value="<?=$config_site['wmlogin']?>">
						  <span class="help-block m-b-none">Активация на сайте - login.wmtransfer.com</span> 
						</div>
					  </div>
					  
					  <div class="form-group error-form-fix" id="block_title_error">
					    <div class="hr-dashed"></div>
						<div class="alert alert-dismissible alert-info" id="success_ajax">
						  Изменения успешно сохранены!
						</div>
						<div class="alert alert-dismissible alert-danger" id="error_ajax">
						  Внимание ошибка!
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group class-float-right">
						<div class="col-sm-8 col-sm-offset-2">
						  <button class="btn btn-primary" type="submit" onclick="config_1();return false;">Сохранить изменения</button>
						</div>
					  </div>
					  
					</form>
				  </div>
				</div>
			  </div>
			  
			  
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>